package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class LuckStatisDto {
    private List<OrderStatisDto> orderStatisDtoList;

    @ApiModelProperty(value = "总预计人数",required = true)
    private Integer totalEstimatedNums = 0;

    @ApiModelProperty(value = "总人数",required = true)
    private Integer totalNum = 0;

    @ApiModelProperty(value = "总人次",required = true)
    private Integer totalTimes = 0;

    @ApiModelProperty(value = "总金额",required = true)
    private BigDecimal totalMoney = BigDecimal.ZERO;

    @ApiModelProperty(value = "总目标金额",required = true)
    private BigDecimal totalMaxAmount= BigDecimal.ZERO;

    @ApiModelProperty(value = "总完成度",required = true)
    private BigDecimal scale = BigDecimal.ZERO;

    public List<OrderStatisDto> getOrderStatisDtoList() {
        return orderStatisDtoList;
    }

    public void setOrderStatisDtoList(List<OrderStatisDto> orderStatisDtoList) {
        this.orderStatisDtoList = orderStatisDtoList;
    }

    public Integer getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Integer totalNum) {
        this.totalNum = totalNum;
    }

    public BigDecimal getTotalMoney() {
        return totalMoney;
    }

    public void setTotalMoney(BigDecimal totalMoney) {
        this.totalMoney = totalMoney;
    }

    public Integer getTotalEstimatedNums() {
        return totalEstimatedNums;
    }

    public void setTotalEstimatedNums(Integer totalEstimatedNums) {
        this.totalEstimatedNums = totalEstimatedNums;
    }

    public BigDecimal getScale() {
        return scale;
    }

    public void setScale(BigDecimal scale) {
        this.scale = scale;
    }

    public Integer getTotalTimes() {
        return totalTimes;
    }

    public void setTotalTimes(Integer totalTimes) {
        this.totalTimes = totalTimes;
    }

    public BigDecimal getTotalMaxAmount() {
        return totalMaxAmount;
    }

    public void setTotalMaxAmount(BigDecimal totalMaxAmount) {
        this.totalMaxAmount = totalMaxAmount;
    }
}
